#include <bits/stdc++.h>

using namespace std;

#define int ll
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pi;
typedef pair<ll, ll> pl;
typedef vector<int> vi;
typedef vector<ll> vl;
typedef vector<double> vd;
typedef vector<bool> vb;
typedef vector<char> vc;
typedef vector<string> vs;
typedef vector<pi> vp;
typedef vector<pl> vpl;

signed main()
{
    ios_base::sync_with_stdio(false); 
    cin.tie(nullptr); 
    cout.tie(nullptr); 
    cerr.tie(nullptr);    

    int n;
    cin >> n;

    vi a(n);
    for (auto& i : a)
        cin >> i;

    vi b = a;
    sort(b.rbegin(), b.rend());

    if (a == b){
        swap(a[n - 1], a[n - 2]);
    } else {
        int ind = -1;
        for (int i = 0; i < n; ++i){
            if (a[i] != b[i]){
                ind = i;
                break;
            }
        }

        int index = -1;
        for (int i = n - 1; i > -1; --i){
            if (a[i] == b[ind]){
                index = i;
                break;
            }
        }

        swap(a[ind], a[index]);
    }

    for (auto& i : a)
        cout << i << ' ';
    cout << '\n';
}